import { TemplateRef } from '@angular/core';
import { AtSelectControlService } from './at-select-control.service';
export declare class AtOptionComponent {
    private at_select_service;
    constructor(at_select_service: AtSelectControlService);
    private _disabled;
    private _customContent;
    template: TemplateRef<void>;
    atLabel: string;
    atValue: any;
    atDisabled: boolean;
    ngOnInit(): void;
    atCustomContent: boolean;
    ngOnDestroy(): void;
    selected: boolean;
}
